class ApplicationController < ActionController::Base
  include Authentication
  # Only allow modern browsers supporting webp images, web push, badges, import maps, CSS nesting, and CSS :has.
  # allow_browser versions: :modern

  inertia_share do
    {
      auth: authenticated?&.user&.as_json(only: [ :id, :name, :email_address, :roles ])
    }
  end
end
