import Layout from '../Layout'
import ComImageIndex from '../../components/images/ComImageIndex'
import { Head } from '@inertiajs/react'

export default function Index({ auth, images, pagination, filters, tags }) {
  return (
    <Layout user={auth}>
      <Head title="我的图片" />
      <ComImageIndex
        auth={auth}
        title="我的图片"
        description="管理已上传的图片"
        path="/images"
        images={images}
        pagination={pagination}
        filters={filters}
        allTags={tags}
      />
    </Layout>
  )
}
