class AddRolesToUsers < ActiveRecord::Migration[8.0]
  def change
    add_column :users, :roles, :string, default: '[]'

    # 如果之前有 role 字段，我们需要将其移除
    # 注意：这里假设之前没有 role 字段，如果有的话会自动处理
    remove_column :users, :role if column_exists?(:users, :role)
  end
end
