class HealthCheckController < ApplicationController
  # 跳过身份验证，确保健康检查可以在未登录状态下访问
  skip_before_action :require_authentication, only: [:index]
  
  def index
    # 简单返回成功状态
    render json: { status: "ok" }, status: :ok
  end
end
