export default function ComImageStatusTag({ image }) {
  return (
    <span
      className={`inline-flex items-center px-2.5 py-0.5 rounded-full text-xs font-medium ${
        image.status === 'pending'
          ? 'bg-yellow-100 text-yellow-800'
          : image.status === 'approved'
          ? 'bg-green-100 text-green-800'
          : 'bg-red-100 text-red-800'
      }`}
    >
      {image.status === 'pending' ? '待审核' : 
        image.status === 'approved' ? '已通过' : '已拒绝'}
    </span>
  )
}