import { Head } from '@inertiajs/react'
import Layout from '../Layout'
import ComTagsIndex from '../../components/tags/ComTagsIndex'

export default function TagsIndex({ tags, auth }) {
  return (
    <Layout user={auth}>
      <Head title="标签" />
      <ComTagsIndex 
        title="标签" 
        description="标签总览" 
        tags={tags} 
        auth={auth} 
        isAdmin={false} 
        path="/tags" 
      />
    </Layout>
  )
}
